
From: Paul Mackerras <paulus@samba.org>

This patch is from Nishanth Aravamudan <nacc@us.ibm.com>.

Replace schedule_timeout() with msleep to simplify the code and to express the
delay in milliseconds instead of HZ.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pSeries_smp.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/pSeries_smp.c~ppc64-replace-schedule_timeout-in-pseries_cpu_die arch/ppc64/kernel/pSeries_smp.c
--- 25/arch/ppc64/kernel/pSeries_smp.c~ppc64-replace-schedule_timeout-in-pseries_cpu_die	2005-01-23 00:51:25.115858048 -0800
+++ 25-akpm/arch/ppc64/kernel/pSeries_smp.c	2005-01-23 00:51:25.119857440 -0800
@@ -107,8 +107,7 @@ void pSeries_cpu_die(unsigned int cpu)
 		cpu_status = query_cpu_stopped(pcpu);
 		if (cpu_status == 0 || cpu_status == -1)
 			break;
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(HZ/5);
+		msleep(200);
 	}
 	if (cpu_status != 0) {
 		printk("Querying DEAD? cpu %i (%i) shows %i\n",
_
